[PC-BSD Commits] r17280 - pcbsd/current/src-sh/warden/scripts/backend
svn at pcbsd.org
svn at pcbsd.org
Thu Jun 14 08:49:15 PDT 2012
Author: kris
Date: 2012-06-14 15:49:13 +0000 (Thu, 14 Jun 2012)
New Revision: 17280
Modified:
pcbsd/current/src-sh/warden/scripts/backend/chrootjail.sh
Log:
Make sure we exit with proper exit status
Modified: pcbsd/current/src-sh/warden/scripts/backend/chrootjail.sh
===================================================================
--- pcbsd/current/src-sh/warden/scripts/backend/chrootjail.sh 2012-06-14 15:24:32 UTC (rev 17279)
+++ pcbsd/current/src-sh/warden/scripts/backend/chrootjail.sh 2012-06-14 15:49:13 UTC (rev 17280)
@@ -57,6 +57,8 @@
if [ -z "$2" ] ; then
echo "Started shell session on ${IP}. Type exit when finished."
jailme ${JID} /bin/csh
+ exit $?
else
jailme ${JID} ${2}
+ exit $?
fi
More information about the Commits
mailing list